[Unit]
Description=Consul client container
Wants=network-online.target
After=network-online.target
After=consul-server.service
Requires=docker.service
After=docker.service

[Service]
Type=simple
ExecStartPre=-/usr/bin/docker rm consul-client
ExecStart=/usr/bin/docker run --privileged \
            --name consul-client --net host \
            -h "{{ name }}"-client \
            -v "/opt/consul/client/data:/consul/data:rw" \
            -v /var/run/docker.sock:/var/run/docker.sock:rw \
            -v /tmp:/tmp \
            -v "/etc/consul/client.d:/consul/config:rw" \
            -v "/opt/consul/client/tokens:/opt/consul/client/tokens:rw" \
            -v "/etc/pki/ca-trust/source/anchors/hetzner_aditronic_bootstrap.pem:/certs/ca_file.pem" \
          10.0.0.2:5000/hashicorp/consul agent -config-dir=/consul/config
ExecStop=/usr/bin/docker stop consul-client
[Install]
WantedBy=multi-user.target

